Description

The reading does not construct correct URLs in the TOC because it does not include both the division and chapter descriptors. See
Placita Philosophorum By Plutarch for an example.

Associated revisions

Revision 209 - 12/01/2012 07:37 AM - Luke Murphey

Fixed issue where the read work page did not construct correct URLs for works with multiple levels of divisions. Reference #429.

Revision 209 - 12/01/2012 07:37 AM - Luke Murphey

Fixed issue where the read work page did not construct correct URLs for works with multiple levels of divisions. Reference #429.

Revision 201 - 12/01/2012 07:37 AM - Luke Murphey

Fixed issue where the read work page did not construct correct URLs for works with multiple levels of divisions. Reference #429.

History

#1 - 11/30/2012 05:39 AM - Luke Murphey

- Status changed from New to In Progress

Elegy and lambus is another good example.

#2 - 11/30/2012 05:44 AM - Luke Murphey

The problem is that indicators are inherently ambiguous. The descriptor "1.2" could refer to one division and a chapter, or two high-level divisions. |
think the solution is to try to match up the descriptors to divisions and take the highest level version.

Thus, "1.2" ought to return the highest division where a division has a descriptor of 2 and a parent with a descriptor of 1.

#3 - 11/30/2012 05:48 AM - Luke Murphey

The difficulty here is that the reference must be consider how many levels are available. "1.2" cannot just be considered as referencing any division
has a descriptor of 2 and a parent with a descriptor of 1. Rather, the "1" must refer to a division at the highest level. This means that the division levels
must be accurate.

#4 - 11/30/2012 07:15 AM - Luke Murphey

Actually, | could make this work without having the level numbers add up perfectly. For the example of "1.2", | could query for:

Division.objects.filter (parent_division__parent_division=None, parent_division__descriptor=1, division__descri
ptor=2)

| would need to make sure that the top most division does not have a parent which would indicate it is the top most division.
#5 - 11/30/2012 08:17 AM - Luke Murphey
- % Done changed from 0 to 20

#6 - 11/30/2012 08:47 PM - Luke Murphey

"Athenian Constitution" seems to have this issue. So does "Elegy and lambus, Volume I".

#7 - 11/30/2012 09:27 PM - Luke Murphey
- % Done changed from 20 to 50

This works now. However, | found some problems.

In Elegy and lambus, the TOC has entries like "otnep” which is "other" in a Greek script. The problem is that there is more than one section with the
same title slug.

Perseus doesn't list these categories (see http://www.perseus.tufts.edu/hopper/text?doc=Perseus%3atext%3a2008.01.0477).

#8 - 11/30/2012 09:55 PM - Luke Murphey

"Elegy and lambus" are in 1_gk.xml and 2_gk.xml.

#9 - 11/30/2012 10:54 PM - Luke Murphey

Perseus has the following in the TOC:

e >dA\ovog

o section 1

o d EAeyelwv
o "Enwv
o B’ Tetpapetpwv
o IN ldupwv
o unknown meters

While we have:

® YOAovog
o 65

o A/’EAeyeiwv

o Yahauig

© 0TNnEP

o TPog Mipvepuov

o 0TNnEP

o "Enwv

o B/ TeTpapETpwv

o */y lauBwv

© UVKVOWV PETEPG

The following are included by us but not by Perseus:

DZcﬂ\au[Q
Hotnep
(Inpog Mipvepuov
oTnep
<div2 type="section"><!--fragments--><head>*a/ *)elegei/wn</head>

<div3 type="book"><head>*salami/s</head>

<div4 type="elegiac" n="1-3">

<cit id="t1lg-0263.cit.l7"><quote>e)pei\ de\ makro/n tina kai\ dusxerh= po/lemon oi( e)n a)/stei peri\ th=s *sa
lamini/wn nh/sou *megareu=si polemou=ntes e)ce/kamon kai\ no/mon e)/gento mh/te gra/yai tina\ mh/t' ei/pei=n a
u)=gis w(s xrh\ th\n po/lin a)ntipoiei=sgai th=s *salami=nos, h)\ gana/tw| zhmiou=sqgai, *bare/ws fe/rwn th\n a
ydoci/an o( *so/lwn kai\ tw=n ne/wn o (rw=n pollou\s deome/nous a)rxh=s e)pi\ to\n po/lemon, au)touls de\ mh\ g
arrou=ntas a)/rcasgai dia\ to\n no/mon, e)skh/yato me\n e)/kstasin tw=n logismw=n, kai\ lo/gos ei)s th\n po/li
n e)k th=s oi)ki/as diedo/gh parakinhtikw=s e)/xein au)to/n, e)legei=a de\ kru/fa sungeils kai\ meleth/sas w(/
ste le/gein a)po\ sto/matos, e)ceph/dhsen ei)s th\n a)gora\n a)/fnw pili/dion perige/menos. o) /xlou de\ pollou
= sundramo/ntos a)nabals e)pi\ to\n tou= kh/rukos li/gon e)n w)dh=| diech=1lge th\n e)legei/an h(=s e)stin a)rx
h/:

<cit id="t1lg-0263.cit.18"><quote>

<1l>*au)to\s kh=ruc h)=lgon a)f' i(merth=s *salami=nos,</1>

<l>ko/smon e)pe/wn w)|dh\n a)nt' a)gorh=s ge/menos.</1></quote><bibl>CURFRAG.t1lg-0263.1</bibl></cit>

<p>tou=to to\ poi/hma *salamils e)pige/graptai kai\ sti/xwn e (kato/n e)sti, xarie/ntws pa/nu pepoihme/non. to/
te d' a)|sge/ntos au)tou= kai\ tw=n fi/lwn tou= *so/lwnos a)rcame/nwn e)painei=n, ma/lista de\ tou= *peisistra
/tou toi=s poli/tais e)gkeleuome/nou kai\ parormw=ntos pei/gesqgai tw=| le/gonti, lu/santes to\n no/mon au)=qgis
h(/ptonto tou= pole/mou prosthsa/menoi to\n *so/lwna.</p> </quote> <bibl>Plut. <title>Vit. Sol.</title> 8</bi
bl></cit>

</div4>

<div4 type="elegiac" n="2,3">

<cit id="t1lg-0263.cit.l19"><quote>. . . ou(=tos mai/nesgai prospoihsa/menos kai\ stefanwsa/menos ei)se/paisen e
i)s th\n a)gora/n, e)/nga toi=s *)aghnai/ois a)ne/gnw dia\ kh/rukos ta\ suntei/nonta peri\ *salami=nos e)legei
=a kai\ parw/rmhsen au)tou/s, kai\ au)=is pro\s *megare/as e)pole/mhsan kai\ e)ni/kwn dia\ *so/lwna. h)=n de\
ta\ e)legei=a ta\ mallista kagaya/mena tw=n *)aghnai/wn ta/de:

<cit id="t1lg-0263.cit.20"><quote>

<1>ei)/hn dh\ to/t' e)gw\ *folega/ndrios h)\ *sikinh/ths</1>

<l>a)nti/ g' *)aghnai/ou, patri/d' a)meiya/menos:</1>

<l>ai)=ya galr a)\n fa/tis h(/de met' a)ngrw/poisi ge/noito:</1>

<1>*)attiko\s ou(=tos a)nh\r tw=n *salaminafetw=n.<!--note n="p.116.n.1"/--></1></quote><bibl>CURFRAG.t1g-0263
.2</bibl></cit>

<p>ei)=ta:</p>

<cit id="t1g-0263.cit.21"><quote>

<1>i) /omen ei)s *salami=na, maxhso/menoi peri\ nh/sou</1>

<1>1i (merth=s, xalepo/n t' ai)=sxos a)pwso/menoi.</l></quote> <bibl>CURFRAG.t1lg-0263.3</bibl></cit>

</quote> <bibl>Diog. L.i.2.2</bibl></cit>

</div4></div3>

<div3 type="book"><head><foreign lang="en">Other</foreign></head>
<div4 type="elegiac" n="4">

#10 - 12/01/2012 06:49 AM - Luke Murphey

The extra nodes appear to be div3 nodes. These nodes are of types that are not included in the refsDecl.

#11 - 12/01/2012 08:11 AM - Luke Murphey
- Status changed from In Progress to Closed

- % Done changed from 50 to 100
